package com.tianyi.sync.task;

import com.tianyi.sync.service.DataSyncService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.*;


@EnableAsync
@Configuration
@EnableScheduling
public class ScheduleTask {

    private final static Logger logger = LoggerFactory.getLogger(ScheduleTask.class);

    private final DataSyncService dataSyncService;

    public ScheduleTask(DataSyncService dataSyncService) {
        this.dataSyncService = dataSyncService;
    }

    /**
     * 每月1号零点执行一次
     */
    @Async
    @Scheduled(cron = "0 0 0 1 * ?")
    public void scheduleTask() {
        dataSyncService.sync();
        logger.info("定时任务执行成功!!!!!!");
    }

}
